declare interface Resp<T> {
  code: number;
  msg?: string;
  data: T;
}
declare namespace API {
  interface LoginRespDto {
    access_token: string;
    user_id: string;
    user_info: {
      nickname: string | null;
    };
  }
  interface UserInfoRespDto {
    appUser: {
      id: string;
      nickname: string;
      avatar: string;
      mobile: string;
    };
  }

  interface TypeOfLegalPerson {
    id: string;
    name: string;
  }
}
